Loading...
Searching...
No Matches
event.h File Reference
`#include <variant>`
`#include "mqtt/message.h"`
`#include "mqtt/properties.h"`
`#include "mqtt/reason_code.h"`
`#include "mqtt/types.h"`

Go to the source code of this file.

## Data Structures

struct | mqtt::connected_event
struct | mqtt::connection_lost_event
struct | mqtt::disconnected_event
struct | mqtt::shutdown_event
class | mqtt::event

## Namespaces

namespace | mqtt

## Detailed Description

Declaration of MQTT event-related classes

Date
  July 6, 2024

Author
  Frank Pagliughi